--- debathena-firefox-wrapper-10.0.1.orig/debian/control
+++ debathena-firefox-wrapper-10.0.1/debian/control
@@ -0,0 +1,15 @@
+Source: debathena-firefox-wrapper
+Section: debathena/web
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, config-package-dev (>= 4.5~)
+Standards-Version: 3.7.2
+
+Package: debathena-firefox-wrapper
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, iceweasel | firefox, lsb-release
+Description: Wrapper to configure Mozilla Firefox for Debathena
+ This package provides a wrapper for the stock Mozilla Firefox web
+ browser.  It handles disposing of stale profile locks, as well as
+ configuring plugin and font directories for the MIT environment.
+
--- debathena-firefox-wrapper-10.0.1.orig/debian/compat
+++ debathena-firefox-wrapper-10.0.1/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-firefox-wrapper-10.0.1.orig/debian/control.in
+++ debathena-firefox-wrapper-10.0.1/debian/control.in
@@ -0,0 +1,15 @@
+Source: debathena-firefox-wrapper
+Section: debathena/web
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@
+Standards-Version: 3.7.2
+
+Package: debathena-firefox-wrapper
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, iceweasel | firefox, lsb-release
+Description: Wrapper to configure Mozilla Firefox for Debathena
+ This package provides a wrapper for the stock Mozilla Firefox web
+ browser.  It handles disposing of stale profile locks, as well as
+ configuring plugin and font directories for the MIT environment.
+
--- debathena-firefox-wrapper-10.0.1.orig/debian/changelog
+++ debathena-firefox-wrapper-10.0.1/debian/changelog
@@ -0,0 +1,32 @@
+debathena-firefox-wrapper (10.0.1-0debathena3) unstable; urgency=low
+
+  * Fix missing DEB_DIVERT_EXTENSION.
+
+ -- Tim Abbott <tabbott@mit.edu>  Tue, 29 Apr 2008 23:28:29 -0400
+
+debathena-firefox-wrapper (10.0.1-0debathena2) unstable; urgency=low
+
+  * Convert to use new config-package-dev interfaces.
+
+ -- Tim Abbott <tabbott@mit.edu>  Tue, 22 Apr 2008 03:48:38 -0400
+
+debathena-firefox-wrapper (10.0.1-0debathena1) unstable; urgency=low
+
+  * firefox.sh: Fix typo in test for distribution.
+  * debian/rules: remove unecessary lsb_release code, now that the
+  relevant distribution test is in firefox.sh.
+  * debian/control.in: move lsb_release from build-depends to depends.
+
+ -- Tim Abbott <tabbott@mit.edu>  Mon, 17 Mar 2008 21:08:26 -0400
+
+debathena-firefox-wrapper (10.0.0-0debathena1) unstable; urgency=low
+
+  * Patches folded into main source.
+
+ -- Greg Hudson <ghudson@equal-rites.mit.edu>  Fri, 07 Mar 2008 11:02:08 -0500
+
+debathena-firefox-wrapper (9.4.39+cvs20070623-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sat, 08 Sep 2007 18:22:52 -0400
--- debathena-firefox-wrapper-10.0.1.orig/debian/copyright
+++ debathena-firefox-wrapper-10.0.1/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-firefox-wrapper-10.0.1.orig/debian/rules
+++ debathena-firefox-wrapper-10.0.1/debian/rules
@@ -0,0 +1,17 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 2.50
+
+DEB_DIVERT_EXTENSION=.debathena
+DEB_DIVERT_FILES_debathena-firefox-wrapper += \
+	/usr/bin/firefox.debathena \
+	/usr/bin/iceweasel.debathena
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/config-package.mk
+
+DEB_DH_LINK_ARGS += usr/bin/firefox.debathena usr/bin/iceweasel.debathena
+
+clean::
+	rm -f configure
--- debathena-firefox-wrapper-10.0.1.orig/firefox.sh
+++ debathena-firefox-wrapper-10.0.1/firefox.sh
@@ -292,4 +292,4 @@
   fi
 fi
 
-exec $firefox_libdir/firefox "$@"
+exec /usr/bin/firefox.debathena-orig "$@"
--- debathena-firefox-wrapper-10.0.1.orig/config.guess
+++ debathena-firefox-wrapper-10.0.1/config.guess
@@ -4,7 +4,7 @@
 #   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
 #   Inc.
 
-timestamp='2007-03-06'
+timestamp='2007-07-22'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -330,7 +330,7 @@
     sun4*:SunOS:5.*:* | tadpole*:SunOS:5.*:*)
 	echo sparc-sun-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
 	exit ;;
-    i86pc:SunOS:5.*:*)
+    i86pc:SunOS:5.*:* | i86xen:SunOS:5.*:*)
 	echo i386-pc-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
 	exit ;;
     sun4*:SunOS:6*:*)
@@ -793,7 +793,7 @@
 	exit ;;
     *:Interix*:[3456]*)
     	case ${UNAME_MACHINE} in
-	    x86) 
+	    x86)
 		echo i586-pc-interix${UNAME_RELEASE}
 		exit ;;
 	    EM64T | authenticamd)
--- debathena-firefox-wrapper-10.0.1.orig/config.sub
+++ debathena-firefox-wrapper-10.0.1/config.sub
@@ -4,7 +4,7 @@
 #   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
 #   Inc.
 
-timestamp='2007-01-18'
+timestamp='2007-06-28'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -475,8 +475,8 @@
 		basic_machine=craynv-cray
 		os=-unicosmp
 		;;
-	cr16c)
-		basic_machine=cr16c-unknown
+	cr16)
+		basic_machine=cr16-unknown
 		os=-elf
 		;;
 	crds | unos)
@@ -683,6 +683,10 @@
 		basic_machine=i386-pc
 		os=-mingw32
 		;;
+	mingw32ce)
+		basic_machine=arm-unknown
+		os=-mingw32ce
+		;;
 	miniframe)
 		basic_machine=m68000-convergent
 		;;
